XML Standard API: Interface XMLStreamReader

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Interface XMLStreamReader

All Superinterfaces:
  XMLStreamConstants

All Known Implementing Classes:
  StreamReaderDelegate

public interface XMLStreamReader
extends XMLStreamConstants

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`void` | `close()`
`int` | `getAttributeCount()`
`java.lang.String` | `getAttributeLocalName(int index)`
`QName` | `getAttributeName(int index)`
`java.lang.String` | `getAttributeNamespace(int index)`
`java.lang.String` | `getAttributePrefix(int index)`
`java.lang.String` | `getAttributeType(int index)`
`java.lang.String` | `getAttributeValue(int index)`
`java.lang.String` | `getAttributeValue(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getCharacterEncodingScheme()`
`java.lang.String` | `getElementText()`
`java.lang.String` | `getEncoding()`
`int` | `getEventType()`
`java.lang.String` | `getLocalName()`
`Location` | `getLocation()`
`QName` | `getName()`
`NamespaceContext` | `getNamespaceContext()`
`int` | `getNamespaceCount()`
`java.lang.String` | `getNamespacePrefix(int index)`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNamespaceURI(int index)`
`java.lang.String` | `getNamespaceURI(java.lang.String prefix)`
`java.lang.String` | `getPIData()`
`java.lang.String` | `getPITarget()`
`java.lang.String` | `getPrefix()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.String` | `getText()`
`char[]` | `getTextCharacters()`
`int` | `getTextCharacters(int sourceStart, char[] target, int targetStart, int length)`
`int` | `getTextLength()`
`int` | `getTextStart()`
`java.lang.String` | `getVersion()`
`boolean` | `hasName()`
`boolean` | `hasNext()`
`boolean` | `hasText()`
`boolean` | `isAttributeSpecified(int index)`
`boolean` | `isCharacters()`
`boolean` | `isEndElement()`
`boolean` | `isStandalone()`
`boolean` | `isStartElement()`
`boolean` | `isWhiteSpace()`
`int` | `next()`
`int` | `nextTag()`
`void` | `require(int type, java.lang.String namespaceURI, java.lang.String localName)`
`boolean` | `standaloneSet()`

Method Detail

### close

    public void close()
               throws XMLStreamException

### getAttributeCount

    public int getAttributeCount()

### getAttributeLocalName

    public java.lang.String getAttributeLocalName(int index)

### getAttributeName

    public QName getAttributeName(int index)

### getAttributeNamespace

    public java.lang.String getAttributeNamespace(int index)

### getAttributePrefix

    public java.lang.String getAttributePrefix(int index)

### getAttributeType

    public java.lang.String getAttributeType(int index)

### getAttributeValue

    public java.lang.String getAttributeValue(int index)

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String namespaceURI,
                                              java.lang.String localName)

### getCharacterEncodingScheme

    public java.lang.String getCharacterEncodingScheme()

### getElementText

    public java.lang.String getElementText()
                                    throws XMLStreamException

### getEncoding

    public java.lang.String getEncoding()

### getEventType

    public int getEventType()

### getLocalName

    public java.lang.String getLocalName()

### getLocation

    public Location getLocation()

### getName

    public QName getName()

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

### getNamespaceCount

    public int getNamespaceCount()

### getNamespacePrefix

    public java.lang.String getNamespacePrefix(int index)

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getNamespaceURI

    public java.lang.String getNamespaceURI(int index)

### getNamespaceURI

    public java.lang.String getNamespaceURI(java.lang.String prefix)

### getPIData

    public java.lang.String getPIData()

### getPITarget

    public java.lang.String getPITarget()

### getPrefix

    public java.lang.String getPrefix()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws java.lang.IllegalArgumentException

### getText

    public java.lang.String getText()

### getTextCharacters

    public char[] getTextCharacters()

### getTextCharacters

    public int getTextCharacters(int sourceStart,
                                 char[] target,
                                 int targetStart,
                                 int length)
                          throws XMLStreamException

### getTextLength

    public int getTextLength()

### getTextStart

    public int getTextStart()

### getVersion

    public java.lang.String getVersion()

### hasName

    public boolean hasName()

### hasNext

    public boolean hasNext()
                    throws XMLStreamException

### hasText

    public boolean hasText()

### isAttributeSpecified

    public boolean isAttributeSpecified(int index)

### isCharacters

    public boolean isCharacters()

### isEndElement

    public boolean isEndElement()

### isStandalone

    public boolean isStandalone()

### isStartElement

    public boolean isStartElement()

### isWhiteSpace

    public boolean isWhiteSpace()

### next

    public int next()
             throws XMLStreamException

### nextTag

    public int nextTag()
                throws XMLStreamException

### require

    public void require(int type,
                        java.lang.String namespaceURI,
                        java.lang.String localName)
                 throws XMLStreamException

### standaloneSet

    public boolean standaloneSet()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.